-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Creato il: Mar 22, 2023 alle 17:57
-- Versione del server: 10.4.27-MariaDB
-- Versione PHP: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `conti_movimenti`
--

-- --------------------------------------------------------

--
-- Struttura della tabella `conti`
--

CREATE TABLE `conti` (
  `numeroconto` int(11) NOT NULL,
  `cognome` varchar(20) DEFAULT NULL,
  `nome` varchar(20) DEFAULT NULL,
  `datanascita` date DEFAULT NULL,
  `codicefiscale` varchar(16) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `conti`
--

INSERT INTO `conti` (`numeroconto`, `cognome`, `nome`, `datanascita`, `codicefiscale`) VALUES
(1, 'Lodato', 'Gabriele', '2005-09-02', 'LDTGRL05P02H703N'),
(2, 'Palmonari Varni', 'Sabrina', '2012-09-01', 'PLMSRN12P41F263Z'),
(3, 'Bulqiza', 'Antonio Ciro', '1957-07-01', 'BLQNNC57L01I754L');

-- --------------------------------------------------------

--
-- Struttura della tabella `movimenti`
--

CREATE TABLE `movimenti` (
  `id` int(11) NOT NULL,
  `dataregistrazione` date DEFAULT NULL,
  `credito_debito` varchar(20) DEFAULT NULL,
  `causale` varchar(20) DEFAULT NULL,
  `importo` float NOT NULL,
  `numeroconto` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dump dei dati per la tabella `movimenti`
--

INSERT INTO `movimenti` (`id`, `dataregistrazione`, `credito_debito`, `causale`, `importo`, `numeroconto`) VALUES
(1, '2023-03-22', 'CREDITO', 'BUSTA PAGA', 1299.99, 1),
(2, '2023-01-26', 'DEBITO', 'PC', 800, 1),
(3, '2023-02-16', 'CREDITO', 'LAVORO', 1450, 2),
(4, '2023-01-29', 'DEBITO', 'SPESA', 59.98, 1),
(5, '2023-02-07', 'CREDITO', 'LAVORO', 1200, 3),
(6, '2023-02-21', 'DEBITO', 'IMPOSTA', 53.59, 3);

--
-- Indici per le tabelle scaricate
--

--
-- Indici per le tabelle `conti`
--
ALTER TABLE `conti`
  ADD PRIMARY KEY (`numeroconto`);

--
-- Indici per le tabelle `movimenti`
--
ALTER TABLE `movimenti`
  ADD PRIMARY KEY (`id`),
  ADD KEY `numeroconto` (`numeroconto`);

--
-- AUTO_INCREMENT per le tabelle scaricate
--

--
-- AUTO_INCREMENT per la tabella `conti`
--
ALTER TABLE `conti`
  MODIFY `numeroconto` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT per la tabella `movimenti`
--
ALTER TABLE `movimenti`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella `movimenti`
--
ALTER TABLE `movimenti`
  ADD CONSTRAINT `movimenti_ibfk_1` FOREIGN KEY (`numeroconto`) REFERENCES `conti` (`numeroconto`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
